## kf6-kdesu 6.8.0

=== debian/changelog ===
kf6-kdesu (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:35:34 +0000
