=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6pty-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6config-dev (>= 6.11.0~),
+               libkf6coreaddons-dev (>= 6.11.0~),
+               libkf6i18n-dev (>= 6.11.0~),
+               libkf6pty-dev (>= 6.11.0~),
                qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
@@ -42,7 +42,7 @@
 Package: libkf6su-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6pty-dev (>= 6.10.0~),
+Depends: libkf6pty-dev (>= 6.11.0~),
          libkf6su6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6su-doc (= ${source:Version}),
